> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.redpincompany.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.redpincompany.com/_mcp/server.

# Create Quote

POST https://sandbox.currenciesdirect.com/v1/customers/{customer_id}/quotes
Content-Type: application/json

The quote defines the essential information for a transfer: the currencies involved, the amount to exchange, and the customer profile. This quote, along with recipient details, is required to create a payment transfer.

**Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)


Reference: https://docs.redpincompany.com/api-reference/customers/api-integration/quotes/create-quote

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the [Authentication](/api-guide/getting-started/authentication#oauth-20-authentication) section for detailed information on how to obtain and use your OAuth credentials.

## Servers

- `https://sandbox.currenciesdirect.com` (Sandbox, default)
- `https://api.redpincompany.com` (Production)

## Request

### Path parameters

- `customer_id` (string, required) — The unique identifier of the customer requesting the quote

### Body (application/json)

This endpoint expects a CreateQuoteRequest.

- `sell_currency` (string, required) — Currency to sell in [ISO 4217 Currency Codes](https://en.wikipedia.org/wiki/ISO_4217) three-letter format (e.g., GBP, USD, EUR). Must be different from buy_currency.
- `buy_currency` (string, required) — Currency to buy in [ISO 4217 Currency Codes](https://en.wikipedia.org/wiki/ISO_4217) three-letter format (e.g., GBP, USD, EUR). Must be different from buy_currency.
- `amount` (double, required) — The monetary amount for the currency conversion, interpreted based on the `fixed_side` parameter. ## Amount Interpretation The meaning of this field depends on the `fixed_side` value: * **When `fixed_side: "BUY"`**: Amount of `buy_currency` you want to receive * **When `fixed_side: "SELL"`**: Amount of `sell_currency` you want to exchange ## Practical Examples ### BUY Side Fixed ```json { "buy_currency": "USD", "sell_currency": "GBP", "amount": 1000.00, "fixed_side": "BUY" } ``` **Result**: Quote to receive exactly 1,000 USD (you'll pay the equivalent in GBP) ### SELL Side Fixed ```json { "buy_currency": "USD", "sell_currency": "GBP", "amount": 1000.00, "fixed_side": "SELL" } ``` **Result**: Quote to sell exactly 1,000 GBP (you'll receive the equivalent in USD) ## Validation Rules * **Minimum**: 0.01 (one cent/penny equivalent) * **Precision**: Maximum 2 decimal places * **Format**: Standard decimal notation (e.g., 1000.50, not 1,000.50) ## Quote Response Behavior | Fixed Side | Amount Field Represents | Quote Response Contains | | ---------- | ------------------------- | ----------------------- | | `BUY` | Target amount to receive | Amount you need to pay | | `SELL` | Source amount to exchange | Amount you will receive |
- `fixed_side` (enum, optional, default: SELL) — Which side of the payment you want to fix. The default is SELL. See amount. **Options:** - `BUY`: Fix the buy amount (you know exactly how much you want to receive) - `SELL`: Fix the sell amount (you know exactly how much you want to pay) **Default:** SELL
  - Allowed values: `BUY`, `SELL`

## Response

### 201

A quotation was created and returned in the response body.

- `quote_id` (string, required) — Unique identifier for this quote. **Usage:** Reference this ID when creating payments via [Create Payment API](/api-reference/ap-is/customers/payments/create-payment)
- `customer_id` (string, required) — Identifies which customer account owns this quote. Required when using this quote to create payments.
- `sell_currency` (string, required) — Currency you want to sell. **Format:** 3-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code
- `buy_currency` (string, required) — Currency you want to buy. **Format:** 3-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code
- `amount` (double, required) — Amount you want to exchange. Note: If the fixed_side is 'SELL' (the default) this amount relates to the sell_currency. If the fixed_side is 'BUY' it relates to the buy_currency.
- `fixed_side` (enum, required) — Which side of the payment you want to fix. The default is SELL.
  - Allowed values: `BUY`, `SELL`
- `quote_details` (QuoteDetails, required)

## Errors

### 400 Bad Request Error

Bad request - invalid parameter

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 401 Unauthorized Error

Unauthorized - invalid authorization header

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 404 Not Found Error

Customer not found

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

## Types

### QuoteDetails

- `quote_price` (double, required) — Converted amount for this exchange. When fixed_side is 'SELL' (default), this amount is in the buy_currency. When fixed_side is 'BUY', this amount is in the sell_currency.
- `quote_rate` (double, required) — Its an exchange rate.
- `expiry` (datetime, required) — Timestamp for the expiration of this quote. **Format:** ISO 8601 date-time format (UTC)

## Examples

### Fixed Buy Response

**Response**

```json
{
  "quote_id": "2273bc7e-88f7-4b71-ad6c-9e130685f0e7",
  "customer_id": "cust_123456789",
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 2056.3,
  "fixed_side": "BUY",
  "quote_details": {
    "quote_price": 2056.3,
    "quote_rate": 4.8631,
    "expiry": "2025-07-10T17:25:50Z"
  }
}
```

**SDK Code**

```python Fixed Buy Response
import requests

url = "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Fixed Buy Response
const url = 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Fixed Buy Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fixed Buy Response
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Fixed Buy Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Fixed Buy Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Fixed Buy Response
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Fixed Buy Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Fixed Sell Response

**Response**

```json
{
  "quote_id": "910a35e9-19fa-414a-ac34-6bc253c4feef",
  "customer_id": "cust_123456789",
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "SELL",
  "quote_details": {
    "quote_price": 48975,
    "quote_rate": 4.8975,
    "expiry": "2025-07-10T17:26:14Z"
  }
}
```

**SDK Code**

```python Fixed Sell Response
import requests

url = "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Fixed Sell Response
const url = 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Fixed Sell Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fixed Sell Response
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Fixed Sell Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Fixed Sell Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Fixed Sell Response
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Fixed Sell Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Fixed Buy Amount

**Request**

```json
{
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "BUY"
}
```

**Response**

```json
{
  "quote_id": "2273bc7e-88f7-4b71-ad6c-9e130685f0e7",
  "customer_id": "cust_123456789",
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 2056.3,
  "fixed_side": "BUY",
  "quote_details": {
    "quote_price": 2056.3,
    "quote_rate": 4.8631,
    "expiry": "2025-07-10T17:25:50Z"
  }
}
```

**SDK Code**

```python Fixed Buy Amount
import requests

url = "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

payload = {
    "sell_currency": "GBP",
    "buy_currency": "AED",
    "amount": 10000,
    "fixed_side": "BUY"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Fixed Buy Amount
const url = 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"sell_currency":"GBP","buy_currency":"AED","amount":10000,"fixed_side":"BUY"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Fixed Buy Amount
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

	payload := strings.NewReader("{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"BUY\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fixed Buy Amount
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"BUY\"\n}"

response = http.request(request)
puts response.read_body
```

```java Fixed Buy Amount
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"BUY\"\n}")
  .asString();
```

```php Fixed Buy Amount
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes', [
  'body' => '{
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "BUY"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Fixed Buy Amount
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"BUY\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Fixed Buy Amount
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "BUY"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Fixed Sell Amount

**Request**

```json
{
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "SELL"
}
```

**Response**

```json
{
  "quote_id": "2273bc7e-88f7-4b71-ad6c-9e130685f0e7",
  "customer_id": "cust_123456789",
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 2056.3,
  "fixed_side": "BUY",
  "quote_details": {
    "quote_price": 2056.3,
    "quote_rate": 4.8631,
    "expiry": "2025-07-10T17:25:50Z"
  }
}
```

**SDK Code**

```python Fixed Sell Amount
import requests

url = "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

payload = {
    "sell_currency": "GBP",
    "buy_currency": "AED",
    "amount": 10000,
    "fixed_side": "SELL"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Fixed Sell Amount
const url = 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"sell_currency":"GBP","buy_currency":"AED","amount":10000,"fixed_side":"SELL"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Fixed Sell Amount
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes"

	payload := strings.NewReader("{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"SELL\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fixed Sell Amount
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"SELL\"\n}"

response = http.request(request)
puts response.read_body
```

```java Fixed Sell Amount
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"SELL\"\n}")
  .asString();
```

```php Fixed Sell Amount
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes', [
  'body' => '{
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "SELL"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Fixed Sell Amount
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"sell_currency\": \"GBP\",\n  \"buy_currency\": \"AED\",\n  \"amount\": 10000,\n  \"fixed_side\": \"SELL\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Fixed Sell Amount
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "sell_currency": "GBP",
  "buy_currency": "AED",
  "amount": 10000,
  "fixed_side": "SELL"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/customers/CUST-1001-TXN/quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```